com.independentsoft.exchange

## Class OutOfOffice

- java.lang.Object
- - com.independentsoft.exchange.OutOfOffice

-     public class OutOfOffice
      extends java.lang.Object

  Contains the Out of Office (OOF) settings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutOfOffice()` Initializes a new instance of the OutOfOffice class.
    `OutOfOffice(OutOfOfficeState state)` Initializes a new instance of the OutOfOffice class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimeDuration` | `getDuration()` Gets the duration for which the OOF status is enabled if the OOF state in the element is set to Scheduled.
    `ExternalAudience` | `getExternalAudience()` Gets how external users are handled.
    `ReplyBody` | `getExternalReply()` Gets the body of the OOF response message that is sent to external users.
    `ReplyBody` | `getInternalReply()` Gets the body of the OOF response message that is sent to internal users.
    `OutOfOfficeState` | `getState()` Gets the user's OOF state.
    `void` | `setDuration(TimeDuration duration)` Sets the duration for which the OOF status is enabled if the OOF state in the element is set to Scheduled.
    `void` | `setExternalAudience(ExternalAudience externalAudience)` Sets how external users are handled.
    `void` | `setExternalReply(ReplyBody externalReply)` Sets the body of the OOF response message that is sent to external users.
    `void` | `setInternalReply(ReplyBody internalReply)` Sets the body of the OOF response message that is sent to internal users.
    `void` | `setState(OutOfOfficeState state)` Sets the user's OOF state.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutOfOffice

          public OutOfOffice()

      Initializes a new instance of the OutOfOffice class.

    - #### OutOfOffice

          public OutOfOffice(OutOfOfficeState state)

      Initializes a new instance of the OutOfOffice class.
      Parameters:
        `state` - the state

  - ### Method Detail

    - #### getState

          public OutOfOfficeState getState()

      Gets the user's OOF state.
      Returns:
        the state

    - #### setState

          public void setState(OutOfOfficeState state)

      Sets the user's OOF state.
      Parameters:
        `state` - the new state

    - #### getExternalAudience

          public ExternalAudience getExternalAudience()

      Gets how external users are handled.
      Returns:
        the external audience

    - #### setExternalAudience

          public void setExternalAudience(ExternalAudience externalAudience)

      Sets how external users are handled.
      Parameters:
        `externalAudience` - the new external audience

    - #### getDuration

          public TimeDuration getDuration()

      Gets the duration for which the OOF status is enabled if the OOF state in the element is set to Scheduled.
      Returns:
        the duration

    - #### setDuration

          public void setDuration(TimeDuration duration)

      Sets the duration for which the OOF status is enabled if the OOF state in the element is set to Scheduled.
      Parameters:
        `duration` - the new duration

    - #### getInternalReply

          public ReplyBody getInternalReply()

      Gets the body of the OOF response message that is sent to internal users.
      Returns:
        the internal reply

    - #### setInternalReply

          public void setInternalReply(ReplyBody internalReply)

      Sets the body of the OOF response message that is sent to internal users.
      Parameters:
        `internalReply` - the new internal reply

    - #### getExternalReply

          public ReplyBody getExternalReply()

      Gets the body of the OOF response message that is sent to external users.
      Returns:
        the external reply

    - #### setExternalReply

          public void setExternalReply(ReplyBody externalReply)

      Sets the body of the OOF response message that is sent to external users.
      Parameters:
        `externalReply` - the new external reply